package com.ruoyi.project.production.service;

import java.util.List;
import java.util.Map;

import com.ruoyi.project.production.domain.TMonthplan;
import org.apache.poi.ooxml.POIXMLDocumentPart;
import org.apache.poi.xwpf.usermodel.XWPFDocument;
import org.apache.poi.xwpf.usermodel.XWPFParagraph;
import org.apache.poi.xwpf.usermodel.XWPFRun;

/**
 * 生产计划及月报Service接口
 *
 * @author ruoyi
 * @date 2020-11-26
 */
public interface ITMonthplanService
{
    /**
     * 查询生产计划及月报
     *
     * @param id 生产计划及月报ID
     * @return 生产计划及月报
     */
    public TMonthplan selectTMonthplanById(Long id);

    /**
     * 查询生产计划及月报列表
     *
     * @param tMonthplan 生产计划及月报
     * @return 生产计划及月报集合
     */
    public List<TMonthplan> selectTMonthplanList(TMonthplan tMonthplan);

    /**
     * 新增生产计划及月报
     *
     * @param tMonthplan 生产计划及月报
     * @return 结果
     */
    public int insertTMonthplan(TMonthplan tMonthplan);

    /**
     * 修改生产计划及月报
     *
     * @param tMonthplan 生产计划及月报
     * @return 结果
     */
    public int updateTMonthplan(TMonthplan tMonthplan);

    /**
     * 批量删除生产计划及月报
     *
     * @param ids 需要删除的生产计划及月报ID
     * @return 结果
     */
    public int deleteTMonthplanByIds(Long[] ids);

    /**
     * 删除生产计划及月报信息
     *
     * @param id 生产计划及月报ID
     * @return 结果
     */
    public int deleteTMonthplanById(Long id);

    void dealMonthplan(XWPFDocument doc, XWPFParagraph paragraph, XWPFRun run, List<TMonthplan> monList, int i);

    void doChartsYX(Map<String, POIXMLDocumentPart> chartsMap, List<TMonthplan> monList, int i);

    void doChartsFT(Map<String, POIXMLDocumentPart> chartsMap, List<TMonthplan> monList, int i);

    void doChartsCN(Map<String, POIXMLDocumentPart> chartsMap, List<TMonthplan> monList, int i);

    void doChartsNYXH(Map<String, POIXMLDocumentPart> chartsMap, List<TMonthplan> monList, int i);

    void doChartsCOD(Map<String, POIXMLDocumentPart> chartsMap, List<TMonthplan> monList, int i);
}
